# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.actions_api import ActionsApi  # noqa: E501
from swagger_client.rest import ApiException


class TestActionsApi(unittest.TestCase):
    """ActionsApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.actions_api.ActionsApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_action_details(self):
        """Test case for action_details

        Retrieve the details of an action definition  # noqa: E501
        """
        pass

    def test_action_exec(self):
        """Test case for action_exec

        Execute an action  # noqa: E501
        """
        pass

    def test_get_action_constraint(self):
        """Test case for get_action_constraint

        Retrieve an action parameter constraint by requested name  # noqa: E501
        """
        pass

    def test_list_actions(self):
        """Test case for list_actions

        Retrieve list of available actions  # noqa: E501
        """
        pass

    def test_node_actions(self):
        """Test case for node_actions

        Retrieve actions for a node  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
